Package org.apache.sling.feature.extension.apiregions.api.config

# Enum Operation

java.lang.Object
java.lang.Enum<Operation>
org.apache.sling.feature.extension.apiregions.api.config.Operation

All Implemented Interfaces:
  `Serializable`, `Comparable<Operation>`

public enum Operation extends Enum<Operation>
Operations for factory configurations

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`CREATE`
`UPDATE`

## Method Summary

Modifier and Type
Method
Description
`static Operation`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static Operation[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### CREATE

public static final Operation CREATE

### UPDATE

public static final Operation UPDATE

## Method Details

### values

public static Operation[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static Operation valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null